View Issue Details

IDProjectCategoryView StatusLast Update
0019543MediaMonkey 5Tagging / organizing (properties / auto-tools)public2022-11-16 22:01
Reporterrusty Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionreopened 
Product Version5.0.4 
Target Version5.0.4Fixed in Version5.0.4 
Summary0019543: Auto-tag: Manual edits get applied to multiple tracks
DescriptionEditing artwork in the auto-tag dialog for a single track causes the looked up artwork to be applied to multiple tracks!
Steps To Reproduce1 Select 4 tracks and initiate auto-tag
--> Metadata/Artwork is looked up
2 In the auto-tag dialog, edit the artwork for one of the tracks by clicking the artwork and choosing an alternate image
--> The artwork for the chosen track is updated as is the artwork for the following track!
Additional InformationReported at: https://www.mediamonkey.com/forum/viewtopic.php?p=502514#p502514

Note: the user indicated that a similar problem occurs with Lyrics, but I haven't been able to replicate.
TagsNo tags attached.
Fixed in build2685

Activities

petr

2022-11-08 20:28

developer   ~0070214

Fixed

rusty

2022-11-09 19:00

administrator   ~0070225

Last edited: 2022-11-09 19:09

Although the original issue seems to be fixed, there are variants of it remaining (or perhaps newly introduced). In the attached image you can see that MM is now getting mixed up about:
a) what tracks have modified artwork. i.e. an orange dot is sometimes shown when artwork hasn't changed
b) what the original and new artwork is. i.e. when clicking images (whether they've changed or not) they'll often show incorrect original artwork
c) not shown in the image but related to a): in many cases where the artwork has been replaced, clicking the image will trigger an image lookup instead of showing the old/new artwork dialog

rusty

2022-11-09 19:01

administrator   ~0070226

petr

2022-11-10 16:43

developer   ~0070244

Fixed

lowlander

2022-11-10 22:18

developer   ~0070254

Verified on 2684, clicking on changed image now show dialog to switch between new and original image.

Note that this dialog has no title.

rusty

2022-11-11 20:51

administrator   ~0070265

Last edited: 2022-11-11 20:56

Tested 2684 and MM still gets confused about the history of artwork changes i.e.:
a) an orange dot is sometimes shown when artwork hasn't changed
b) when clicking images to see what the change is, the dialog will often show incorrect original artwork (in fact it's often the artwork from another track!)
c) in some cases where the artwork has been replaced, clicking the image will trigger an image lookup instead of showing the old/new artwork dialog (that occurs for the 'Baby, Now that I've found you' and 'Beautiful Sunday', but isn't shown in the image).

The easiest way to replicate these bugs is to auto-tag tracks alternating between tracks that have and tracks that don't have artwork (see the image)

rusty

2022-11-11 20:52

administrator   ~0070266

mixed-up-artwork-history.jpg (252,378 bytes)   
mixed-up-artwork-history.jpg (252,378 bytes)   

peke

2022-11-14 01:00

developer   ~0070285

I tried to replicate without success.

I wonder what artwork is shown in each of sample (from picture) directly in track properties even in listing they do not show artwork?

Do you maybe have Auto Artwork lookup enabled which found wrong original picture and then auto tag thinks it is existing?

Another Possible case as seen in pic (Green) that it assign original artwork in order of selected tracks instead of correct track.

Can you try this:
Select only two tracks, one with image and one without image eg. "Beautiful Sunday" and "Let's go to San Francisco" and if I am correct you may probably original picture of "Beautiful Sunday" will be assigned to "Let's go to San Francisco" taht did not had artwork

peke

2022-11-14 01:03

developer   ~0070286

bug19543.jpg (218,535 bytes)   
bug19543.jpg (218,535 bytes)   

rusty

2022-11-14 21:26

administrator   ~0070296

Here's an example of how issues b) and c) can be replicated with just 2 tracks:
https://www.screencast.com/t/HfxFNHG7

Note that the tracks are originally from a single compilation album, and that lookups are set with 'Allow Compilations' disabled.

peke

2022-11-14 21:37

developer   ~0070297

Last edited: 2022-11-14 21:45

Problem is in tracklist order sent to Auto tag in case of one order it works and if you change orde rof same tracks it fails to work and behave like described in bug.

Needed two tracks where one have album art and one do not.

Steps:
1. Add two tracks to now playing
2. Select both
3. Initiate auto tag
4. Click on Artwork of first trac nad see if embed track from second is shown as original or it initiate lookup Image.png and image-2.png
5. if not -> Cancel Auto tag
6. change order of those two tracks in now playing
7. Select them again
8. Initiate auto tag
9. Click on Artwork of first track and it will show artwork from from second track image-3.png and image4.png

NOTE: the more tracks you have it multiplies with the number of tracks with artwork embed. eg. with 4 tracks with artwork always first 4 tracks will mostly be wrong.
image.png (239,222 bytes)   
image.png (239,222 bytes)   
image-2.png (183,134 bytes)   
image-2.png (183,134 bytes)   
image-3.png (170,737 bytes)   
image-3.png (170,737 bytes)   
image-4.png (335,522 bytes)

rusty

2022-11-15 05:08

administrator   ~0070301

Issues a, b, and c are all verified as fixed in test build 2685.

petr

2022-11-15 06:12

developer   ~0070302

Fixed

rusty

2022-11-16 22:01

administrator   ~0070359

Verified 2686.